# Sound Card Manager API
[Sound Card API - manage audio capture/play filters.]

## Functions
MS2_PUBLIC MSSndCardManager * | ms_snd_card_manager_get (void)
MS2_PUBLIC void | ms_snd_card_manager_destroy (void)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_card (MSSndCardManager *m, const char *id)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_default_card (MSSndCardManager *m)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_default_capture_card (MSSndCardManager *m)
MS2_PUBLIC MSSndCard * | ms_snd_card_manager_get_default_playback_card (MSSndCardManager *m)
MS2_PUBLIC const MSList * | ms_snd_card_manager_get_list (MSSndCardManager *m)
MS2_PUBLIC void | ms_snd_card_manager_add_card (MSSndCardManager *m, MSSndCard *c)
MS2_PUBLIC void | ms_snd_card_manager_register_desc (MSSndCardManager *m, MSSndCardDesc *desc)
MS2_PUBLIC void | ms_snd_card_manager_reload (MSSndCardManager *m)

## Function Documentation

MS2_PUBLIC MSSndCardManager* ms_snd_card_manager_get | ( | void |  | ) |

Retreive a sound card manager object.

Returns: MSSndCardManager if successfull, NULL otherwise.

MS2_PUBLIC void ms_snd_card_manager_destroy | ( | void |  | ) |

Destroy a sound card manager object.

MS2_PUBLIC MSSndCard* ms_snd_card_manager_get_card | ( | MSSndCardManager * | m,
|  | const char * | id |
| ) |  |  |

Retreive a sound card object based on its name.

Parameters:

  | m | A sound card manager containing sound cards.
  | id | A name for card to search.

Returns: MSSndCard if successfull, NULL otherwise.

MS2_PUBLIC MSSndCard* ms_snd_card_manager_get_default_card | ( | MSSndCardManager * | m | ) |

Retreive the default sound card object.

Parameters:

  | m | A sound card manager containing sound cards.

Returns: MSSndCard if successfull, NULL otherwise.

MS2_PUBLIC MSSndCard* ms_snd_card_manager_get_default_capture_card | ( | MSSndCardManager * | m | ) |

Retreive the default capture sound card object.

Parameters:

  | m | A sound card manager containing sound cards.

Returns: MSSndCard if successfull, NULL otherwise.

MS2_PUBLIC MSSndCard* ms_snd_card_manager_get_default_playback_card | ( | MSSndCardManager * | m | ) |

Retreive the default playback sound card object.

Parameters:

  | m | A sound card manager containing sound cards.

Returns: MSSndCard if successfull, NULL otherwise.

MS2_PUBLIC const MSList* ms_snd_card_manager_get_list | ( | MSSndCardManager * | m | ) |

Retreive the list of sound card objects.

Parameters:

  | m | A sound card manager containing sound cards.

Returns: MSList of cards if successfull, NULL otherwise.

MS2_PUBLIC void ms_snd_card_manager_add_card | ( | MSSndCardManager * | m,
|  | MSSndCard * | c |
| ) |  |  |

Add a sound card object in a sound card manager's list.

Parameters:

  | m | A sound card manager containing sound cards.
  | c | A sound card object.

MS2_PUBLIC void ms_snd_card_manager_register_desc | ( | MSSndCardManager * | m,
|  | MSSndCardDesc * | desc |
| ) |  |  |

Register a sound card description in a sound card manager.

Parameters:

  | m | A sound card manager containing sound cards.
  | desc | A sound card description object.

MS2_PUBLIC void ms_snd_card_manager_reload | ( | MSSndCardManager * | m | ) |

Ask all registered MSSndCardDesc to re-detect their soundcards.

Parameters:

  | m | The sound card manager.